<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: captcha_display.php
| Author: skpacman
| Copyright 2015 Stephen D King Jr
| ------------------------------------------------------
| This integrates the NEW reCAPTCHA Google API v2 into
| PHP-Fusion using the built-in PHP-Fusion captcha system
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."grecaptcha/locale/".$settings['locale'].".php")) {
	include INFUSIONS."grecaptcha/locale/".$settings['locale'].".php";
} else { include INFUSIONS."grecaptcha/locale/English.php"; }

//A bunch of functions, settings, and stuff needed for this...
include_once INCLUDES."captchas/grecaptcha/functions.php";

$error = false;

{ //This bracket is only here to allow my IDE to collapse this section....
add_to_head("<style>
input[type='submit']:disabled {
    opacity: 0.25;
}

.loading_container{
margin-bottom: -22px;
}

.loading_circle {
	background-color: rgba(0,0,0,0);
	border:5px solid rgba(0,183,229,0.9);
	opacity:.9;
	border-right:5px solid rgba(0,0,0,0);
	border-left:5px solid rgba(0,0,0,0);
	border-radius:50px;
	width:50px;
	height:50px;
	#margin:0 auto;
	-moz-animation:spinPulse 1s infinite ease-in-out;
	-webkit-animation:spinPulse 1s infinite linear;
}
.loading_circle1 {
	background-color: rgba(0,0,0,0);
	border:5px solid rgba(0,183,229,0.9);
	opacity:.9;
	border-left:5px solid rgba(0,0,0,0);
	border-right:5px solid rgba(0,0,0,0);
	border-radius:50px;
	width:30px;
	height:30px;
	#margin:0 auto;
	margin-left: 10px;
	position:relative;
	top:-50px;
	-moz-animation:spinoffPulse 1s infinite linear;
	-webkit-animation:spinoffPulse 1s infinite linear;
}

@-moz-keyframes spinPulse {
	0% { -moz-transform:rotate(160deg); opacity:0; box-shadow:0 0 1px #2187e7;}
	50% { -moz-transform:rotate(145deg); opacity:1; }
	100% { -moz-transform:rotate(-320deg); opacity:0; }
}
@-moz-keyframes spinoffPulse {
	0% { -moz-transform:rotate(0deg); }
	100% { -moz-transform:rotate(360deg);  }
}
@-webkit-keyframes spinPulse {
	0% { -webkit-transform:rotate(160deg); opacity:0; box-shadow:0 0 1px #2187e7; }
	50% { -webkit-transform:rotate(145deg); opacity:1;}
	100% { -webkit-transform:rotate(-320deg); opacity:0; }
}
@-webkit-keyframes spinoffPulse {
	0% { -webkit-transform:rotate(0deg); }
	100% { -webkit-transform:rotate(360deg); }
}
</style>");

//Disable selector based on FUSION_SELF
if(FUSION_SELF == "register.php"){
	$disabled_input = "$('input[type=\"submit\"]:input[value=\"".$locale['global_107']."\"]').attr('disabled','disabled');";
} elseif (FUSION_SELF == "contact.php"){
	$disabled_input = "$('input[type=\"submit\"]:input[value=\"".$locale['406']."\"]').attr('disabled','disabled');";
} else { $disabled_input = ""; }

add_to_footer("<script type=\"text/javascript\">
$(document).ready(function() {
	".$disabled_input."
	$('.g-recaptcha').hide();
	$('.g-recaptcha').delay(".$g_settings['wait_seconds']."000).fadeIn(1000);
	$('.loading_container').show();
	$('.loading_container').delay(".$g_settings['wait_seconds']."000).fadeOut(0);
});

var verifyCallback = function(response) {
	$('input[type=\"submit\"]').removeAttr('disabled');
};

var onloadCallback = function() {
	grecaptcha.render('g-recaptcha', {
		'sitekey' : '".$g_settings['site_key']."',
		'callback' : verifyCallback,
		'theme' : '".$g_settings['theme']."'
	});
};
</script>");
	
add_to_head("<script src='https://www.google.com/recaptcha/api.js?onload=onloadCallback&render=explicit' async defer></script>");
} //This bracket is only here to allow my IDE to collapse this section....

//Replace "Validation Code" text with "Google reCAPTCHA" on "register"
if(FUSION_SELF == "register.php"){ 
	ob_start();
	echo "<label for=\'captcha_code\'>".$locale['u190'];
	$ob_get_contents = ob_get_contents();
	ob_end_clean();
	$target = $ob_get_contents;
	$replacement = "<label for=\"captcha_code\">".$g_locale['display']['recaptcha_label'];
	replace_in_output($target, $replacement);
} //Replace "Validation Code" text with "Google reCAPTCHA" on "contact"
elseif (FUSION_SELF == "contact.php") {
	ob_start();
	echo $locale['407'];
	$ob_get_contents = ob_get_contents();
	ob_end_clean();
	$target = $ob_get_contents;
	$replacement = $g_locale['display']['recaptcha_label'].":";
	replace_in_output($target, $replacement);
} //else { DO NOTHING }

//Disable the input field
$_CAPTCHA_HIDE_INPUT = true;

//Display a loading circle so the empty recaptcha loading doesn't throw people off... only takes about 1s to load...
echo "<div class='loading_container'><div class='loading_content'><div class='loading_circle'></div><div class='loading_circle1'></div></div></div>";

if(isset($_POST['g-recaptcha-response'])){ //There was an error in the form
	$error = true;	//acknowledge the error
	$g_settings = get_settings("grecaptcha"); //re-grab the settings and
	$reCaptcha = new ReCaptcha($g_settings['secret_key']); //create a new recaptcha session with the saved keys
}

if($error){ echo "<div style='width:100%;border:2px solid #aa3333;background-color:#ffaaaa;font-weight:bold;'>".$g_locale['display']['error']."<br /><br />"; }

//Display the new recaptcha
echo "<div name='g-recaptcha' id='g-recaptcha' class='g-recaptcha' data-sitekey='".$g_settings['site_key']."'></div>";

if($error){ echo "</div>"; }

?>