<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: grecaptcha_admin.php
| Author: skpacman
| Copyright 2015 Stephen D King Jr
+--------------------------------------------------------+
| This integrates the NEW reCAPTCHA Google API v2 into
| PHP-Fusion using the built-in PHP-Fusion captcha system
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
if (!checkrights("GREC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }
require_once THEMES."templates/admin_header.php";
include_once INCLUDES."infusions_include.php";

if (file_exists(INFUSIONS."grecaptcha/locale/".$settings['locale'].".php")) {
	include INFUSIONS."grecaptcha/locale/".$settings['locale'].".php";
} else { include INFUSIONS."grecaptcha/locale/English.php"; }

if(isset($_POST['settings'])){
	$good_count = 0; $bad_count = 0;
	foreach($_POST['settings'] as $setting => $value){
		if(set_setting($setting, $value, "grecaptcha")){ $good_count++; } else { $bad_count++; }
	}
	if (!$bad_count){
		$message = $g_locale['admin']['settings_success'];
	} else {
		$message = $g_locale['admin']['settings_problem'];
	}
}

if (isset($_COOKIE[COOKIE_PREFIX.'grecaptcha_just_installed'])) {
	$message = $g_locale['admin']['infused'];
	$stay_open = true;
} else { $stay_open = false; }

$g_settings = get_settings("grecaptcha");

if(isset($message)){
	if(!$stay_open){ echo "<div id='close-message'>"; }
	echo "<div class='admin-message'>".$message."</div>";
	if(!$stay_open){ echo "</div>\n"; }
}

opentable($g_locale['admin']['settings']);
	if(empty($g_settings['site_key']) || empty($g_settings['secret_key'])){
		echo $g_locale['admin']['no_keys'];
		echo "<hr />";
	} else {
		echo $g_locale['admin']['review_keys'];
	}

	echo "<form name='g_settings' method='post' action='".FUSION_SELF.$aidlink."' style='display:inline-block;'>";
	echo "<input type='field' class='textbox' style='width:250px;' name='settings[site_key]' placeholder='".$g_locale['admin']['site_key_placeholder']."' value='".$g_settings['site_key']."' autocomplete='off' /> ".$g_locale['admin']['site_key']."<br />";
	echo "<input type='field' class='textbox' style='width:250px;' name='settings[secret_key]' placeholder='".$g_locale['admin']['secret_key_placeholder']."' value='".$g_settings['secret_key']."' autocomplete='off' /> ".$g_locale['admin']['secret_key']."<br />";
	echo "<input type='field' class='textbox' style='width:250px;' name='settings[wait_seconds]' placeholder='1' value='".$g_settings['wait_seconds']."' title='".$g_locale['admin']['wait_seconds_title']."' /> ".$g_locale['admin']['wait_seconds_label']."<br />";
	echo "<select name='settings[theme]' class='textbox'>";
		if($g_settings['theme'] == "light"){ echo "<option value='light' selected>".$g_locale['admin']['theme_light']."</option>"; } else { echo "<option value='light'>".$g_locale['admin']['theme_light']."</option>"; }
		if($g_settings['theme'] == "dark"){ echo "<option value='dark' selected>".$g_locale['admin']['theme_dark']."</option>"; } else { echo "<option value='dark'>".$g_locale['admin']['theme_dark']."</option>"; }
	echo "</select><br />";
	echo "<input type='submit' name='Submit' value='".$g_locale['admin']['submit']."' class='button' />";
	echo "</form>";
closetable();

require_once THEMES."templates/footer.php";
?>