<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: skpacman
| Copyright 2015 Stephen D King Jr
+--------------------------------------------------------+
| This integrates the NEW reCAPTCHA Google API v2 into
| PHP-Fusion using the built-in PHP-Fusion captcha system
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); } //No outside access...
require_once INCLUDES."infusions_include.php"; //for... stuff
$g_settings = get_settings("grecaptcha"); //Grab settings from local DB if possible

if (file_exists(INFUSIONS."grecaptcha/locale/".$settings['locale'].".php")) {
	include INFUSIONS."grecaptcha/locale/".$settings['locale'].".php";
} else { include INFUSIONS."grecaptcha/locale/English.php"; }

// Infusion general information
$inf_title = $g_locale['inf_title'];
$inf_description = $g_locale['inf_desc'];
$inf_version = "1.0";
$inf_developer = "skpacman";
$inf_email = "admin@skpacman.com";
$inf_weburl = "http://php-fusion.us";
$inf_folder = "grecaptcha";

//Infuse///////////////////////////////////////////////////////////////
$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('site_key', '', '".$inf_folder."')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('secret_key', '', '".$inf_folder."')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('wait_seconds', '5', '".$inf_folder."')";
$inf_insertdbrow[4] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('prev_captcha', '".$settings['captcha']."', '".$inf_folder."')";
$inf_insertdbrow[5] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('prev_captcha_state', '".$settings['display_validation']."', '".$inf_folder."')";
$inf_insertdbrow[6] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('theme', 'light', '".$inf_folder."')";

//It was just infused... change the setting to grecaptcha and set a 'just installed' cookie
if(isset($_POST['infuse']) && $_POST['infusion'] == "grecaptcha"){ 
	$change_captcha = dbquery("UPDATE ".DB_SETTINGS." SET settings_value = 'grecaptcha' WHERE settings_name = 'captcha'"); 
	if(!$settings['display_validation']){ $enable_captcha = dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '1' WHERE settings_name = 'display_validation'"); }
	setcookie(COOKIE_PREFIX."grecaptcha_just_installed", "1", time() + 30, "/", "", "0");
}

//was it just installed? is the 'just installed' cookie there? if so, show a message then redirect to the admin panel
if (isset($_COOKIE[COOKIE_PREFIX.'grecaptcha_just_installed']) && (!isset($displayed))) {
	opentable($g_locale['infuse']['title']);
	echo $g_locale['infuse']['infused'];
	closetable();
	add_to_head("<script type='text/javascript'>
		$(function () {
		  var count = 20;
		  var countdown = setInterval(function(){
			$('span.countdown').html(count);
			if (count == 0) {
			  clearInterval(countdown);
			  window.open('".$settings['siteurl'].INFUSIONS."grecaptcha/grecaptcha_admin.php".$aidlink."', '_self');
			}
			count--;
		  }, 1000);
		});
		</script>");
	
	$displayed = 1;
}

//set the admin panel options
$inf_adminpanel[1] = array(
	"title" => $inf_title,
	"image" => "grecaptcha.png",
	"panel" => "grecaptcha_admin.php",
	"rights" => "GREC"
);

//Defuse///////////////////////////////////////////////////////////////
$get_infusion_id = dbarray(dbquery("SELECT inf_id FROM ".DB_INFUSIONS." WHERE inf_folder = '".$inf_folder."'"));
if(isset($_GET['defuse']) && $_GET['defuse'] == $get_infusion_id['inf_id'] && !isset($displayed)){ 
	$reset_captcha = dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$g_settings['prev_captcha']."' WHERE settings_name = 'captcha'");
	$reset_state = dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$g_settings['prev_captcha_state']."' WHERE settings_name = 'display_validation'");
	setcookie(COOKIE_PREFIX."grecaptcha_just_uninstalled", "1", time() + 30, "/", "", "0");
	$displayed = 1;
}

if (isset($_COOKIE[COOKIE_PREFIX.'grecaptcha_just_uninstalled']) && (!isset($displayed))) {
	opentable($g_locale['defuse']['title']);
		echo $g_locale['defuse']['defused'];
	closetable();
}

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

?>
